Package org.apache.tomcat.util.http.parser

## Class ContentRange

- java.lang.Object
- - org.apache.tomcat.util.http.parser.ContentRange

    public class ContentRange
    extends java.lang.Object

### Constructor Summary

Constructors
`ContentRange​(java.lang.String units, long start, long end, long length)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getEnd()`
`long` `getLength()`
`long` `getStart()`
`java.lang.String` `getUnits()`
`static ContentRange` `parse​(java.io.StringReader input)` Parses a Content-Range header from an HTTP header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentRange

    public ContentRange​(java.lang.String units,
                        long start,
                        long end,
                        long length)

### Method Detail

#### getUnits

    public java.lang.String getUnits()

#### getStart

    public long getStart()

#### getEnd

    public long getEnd()

#### getLength

    public long getLength()

#### parse

    public static ContentRange parse​(java.io.StringReader input)
                              throws java.io.IOException

Parses a Content-Range header from an HTTP header.

Parameters:
  `input` - a reader over the header text
Returns:
  the range parsed from the input, or null if not valid
Throws:
  `java.io.IOException` - if there was a problem reading the input